=== debian/changelog ===
rtipc (1.0.3.g0a8e332-0+13.1) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Mon, 28 Jul 2025 16:10:01 +0000

rtipc (1.0.3.g0a8e332-0) unstable; urgency=low

  * Initial release

 -- Andreas Stewering-Bone <andreas.stewering-bone@gmx.de>  Thu, 04 Oct 2018 22:51:02 +0200
