## rtipc 1.0.4.g21eefa3

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 CMAKE_MINIMUM_REQUIRED (VERSION 3.2...4.0)
 
-PROJECT (rtipc VERSION 1.0.3)
+PROJECT (rtipc VERSION 1.0.4)
 
 #
 # Release Instructions
@@ -58,7 +58,9 @@
 
 LIST (APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules/")
 FIND_PACKAGE (Yaml REQUIRED)
-FIND_PACKAGE (Mhash REQUIRED)
+
+FIND_PACKAGE (PkgConfig)
+pkg_check_modules(Zlib REQUIRED zlib)
 
 ADD_SUBDIRECTORY (src)
 ADD_SUBDIRECTORY (test)
