=== src/CMakeLists.txt ===
--- 
+++ 
@@ -60,7 +60,7 @@
 
 TARGET_LINK_LIBRARIES (${PROJECT_NAME} PRIVATE
     ${Yaml_LIBRARIES}
-    ${Mhash_LIBRARY}
+    ${Zlib_LIBRARIES}
 )
 TARGET_INCLUDE_DIRECTORIES (${PROJECT_NAME} PUBLIC
     "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>"
@@ -68,7 +68,7 @@
 )
 TARGET_INCLUDE_DIRECTORIES (${PROJECT_NAME} PRIVATE
     ${Yaml_INCLUDE_DIR}
-    ${Mhash_INCLUDE_DIR}
+    ${Zlib_INCLUDE_DIRS}
     "$<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>"
     "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
 )
