=== debian/changelog ===
rtipc (1.0.4.g21eefa3-0+4.1) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 06 Nov 2025 09:20:12 +0000

rtipc (1.0.4.g21eefa3-0) unstable; urgency=low

  * Initial release

 -- Andreas Stewering-Bone <andreas.stewering-bone@gmx.de>  Thu, 04 Oct 2018 22:51:02 +0200

rtipc (1.0.4.1) stable; urgency=low

  * Changed from mhash to zlib

 -- Florian Pose <fp@igh.de>  Thu, 06 Nov 2025 09:52:00 +0100
