=== debian/control ===
Source: rtipc
Priority: optional
Maintainer: Andreas Stewering-Bone <ab@igh.de>
Build-Depends: debhelper (>= 9), cmake, libyaml-dev, zlib1g-dev
Standards-Version: 3.9.5
Section: libs
Homepage: https://etherlab.org

Package: librtipc-dev
Section: libdevel
Architecture: any
Depends: librtipc1 (= ${binary:Version}), ${misc:Depends}
Description: Realtime IPC Library
 This is a library that allows unrelated processes to exchange variables via
 shared memory.  Typically, this library is used to communicate between
 processes that implement different aspects of a control application.
 .
 An application exports named variables to shared memory. Similarly, it imports
 named variables, which are read from shared memory. If all attributes are
 correct (element count and data type), these are connected and data is
 exchanged. Semaphores protect access to the shared memory areas.
 .
 Header files

Package: librtipc1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Realtime IPC Library
 This is a library that allows unrelated processes to exchange variables via
 shared memory.  Typically, this library is used to communicate between
 processes that implement different aspects of a control application.
 .
 An application exports named variables to shared memory. Similarly, it imports
 named variables, which are read from shared memory. If all attributes are
 correct (element count and data type), these are connected and data is
 exchanged. Semaphores protect access to the shared memory areas.
