=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

RTIPC_VERSION=`dpkg-parsechangelog --show-field Version | cut -d - -f 1`

# be strict regarding symbol file
export DPKG_GENSYMBOLS_CHECK_LEVEL := 3

# main packaging script based on dh7 syntax
%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DVERSION_HASH=${RTIPC_VERSION}
